# (c) Copyright 2017 Hewlett Packard Enterprise Development, L.P.

Summary: Application Integration Framework (AIF) in Serviceguard environment
Name: %(if [[ -e /opt/hp/cmcluster/serviceguardmanager/tkitstudio/tmp/tkitname ]];then echo "serviceguard-`cat /opt/hp/cmcluster/serviceguardmanager/tkitstudio/tmp/tkitname`-toolkit"; else echo "serviceguard-aif";fi)
Version: %(echo "`rpm -q --queryformat '%{VERSION}' serviceguard`")
Release: 00
Group: Application/Serviceguard
License:(c) Copyright 2017 Hewlett Packard Enterprise Development LP., see the $SGROOT/doc/COPYRIGHT file for details
BuildRoot: /tmp/AIF/
Requires: serviceguard >= A.12.00.00
%description
AIF is a tool to integrate user application in Serviceguard cluster as a package.

Requires: serviceguard

%define _sgpath %(if [[ -e /etc/redhat-release ]]; then echo "/usr/local/cmcluster"; else  echo "/opt/cmcluster";fi)
%define _sgconf %{_sgpath}/conf
%define _sgbin %{_sgpath}/bin
%define _distro %(if [[ -e /etc/redhat-release ]]; then echo "redhat"; else echo "sles";fi)
%define _rpmfilename %%{Name}-%%{Version}-0.%(if [[ -e /etc/redhat-release ]]; then echo "redhat"; else echo "sles";fi).rpm
%define _toolkitName %(if [[ -e /opt/hp/cmcluster/serviceguardmanager/tkitstudio/tmp/tkitname ]];then echo "`cat /opt/hp/cmcluster/serviceguardmanager/tkitstudio/tmp/tkitname`"; else echo "serviceguard-aif";fi)

%define _rpmdir /opt/hp/cmcluster/serviceguardmanager/tkitstudio/BUILTRPMS/

%install
rm -rf /tmp/AIF
mkdir -p /opt/hp/cmcluster/serviceguardmanager/tkitstudio/BUILTRPMS/
mkdir -p ${RPM_BUILD_ROOT}%{_sgpath}/%{_toolkitName}toolkit
mkdir -p ${RPM_BUILD_ROOT}%{_sgconf}/modules/tkit/%{_toolkitName}
install -m 755 /opt/hp/cmcluster/serviceguardmanager/tkitstudio/tmp/hatkit.sh  ${RPM_BUILD_ROOT}%{_sgpath}/%{_toolkitName}toolkit/%{_toolkitName}.sh
install -m 755 /opt/hp/cmcluster/serviceguardmanager/tkitstudio/tmp/hatkit.mon  ${RPM_BUILD_ROOT}%{_sgpath}/%{_toolkitName}toolkit/%{_toolkitName}.mon
install -m 444 /opt/hp/cmcluster/serviceguardmanager/tkitstudio/tmp/tkit.1 ${RPM_BUILD_ROOT}%{_sgconf}/modules/tkit/%{_toolkitName}/%{_toolkitName}.1

%post
ln -s %{_sgconf}/modules/tkit/%{_toolkitName}/%{_toolkitName}.1 %{_sgconf}/modules/tkit/%{_toolkitName}/%{_toolkitName}
%postun
rm -rf %{_sgconf}/modules/tkit/%{_toolkitName}
rm -rf %{_sgpath}/%{_toolkitName}toolkit


%clean
rm -rf ${RPM_BUILD_ROOT}
rm -rf /opt/hp/cmcluster/serviceguardmanager/tkitstudio/tmp/hatkit.sh
rm -rf /opt/hp/cmcluster/serviceguardmanager/tkitstudio/tmp/hatkit.mon
rm -rf /opt/hp/cmcluster/serviceguardmanager/tkitstudio/tmp/tkit.1
rm -rf /opt/hp/cmcluster/serviceguardmanager/tkitstudio/tmp/tkitname


%files
%defattr(-,root,root)
#%dir %{_sgpath}/%{_toolkitName}toolkit
#%dir  %{_sgconf}/modules/tkit/tkit/%{_toolkitName}
%attr(-,root,root) %{_sgpath}/%{_toolkitName}toolkit/%{_toolkitName}.sh
%attr(-,root,root) %{_sgpath}/%{_toolkitName}toolkit/%{_toolkitName}.mon
%attr(-,root,root) %{_sgconf}/modules/tkit/%{_toolkitName}/%{_toolkitName}.1

