 #!/bin/bash
#*******************************************************************************
# Copyright (c) 2014  Hewlett-Packard Development Company, L.P. 
# All rights reserved.
#*******************************************************************************

. /etc/cmcluster.conf

#SGCONF="/opt/cmcluster/conf"
DC1_IP=$1
DC2_IP=$2
DC2=$3
RCVG=$4
USER=$5
REPLICATION_STATUS=""
LINK_STATUS="**"
ROLE=""


PWDFILE="${SGCONF}/3parrc/${USER}_${DC1_IP}.pwf"

`cli -sys $DC1_IP  -pwf $PWDFILE showrcopy groups $RCVG  -csvtable |grep $RCVG > /tmp/replication_temp`
REPLICATION_STATUS=`cat /tmp/replication_temp|cut -d',' -f3`
ROLE=`cat /tmp/replication_temp|cut -d',' -f4`

`cli -sys $DC1_IP  -pwf $PWDFILE showrcopy links  -csvtable >/tmp/replication_temp`

`cat /tmp/replication_temp|grep $DC2 >/dev/null`
if [ $? -eq 0 ];then
      `cat /tmp/replication_temp|grep $DC2|grep -i  "down" >/dev/null`
      if [ $? -eq 0 ];then
        LINK_STATUS="Down"
      fi
      `cat /tmp/replication_temp|grep $DC2|grep -i "not started" >/dev/null`
      if [ $? -eq 0 ];then
        LINK_STATUS="Not started"
      fi
      `cat /tmp/replication_temp|grep $DC2|grep -i "up" >/dev/null`
      if [ $? -eq  0 ];then
        LINK_STATUS="Up"
      fi
fi

`cat /tmp/replication_temp|grep $DC2_IP >/dev/null`
if [ $? -eq 0 ];then
      `cat /tmp/replication_temp|grep $DC2_IP|grep -i  "down" >/dev/null`
      if [ $? -eq 0 ];then
        LINK_STATUS="Down"
      fi
      `cat /tmp/replication_temp|grep $DC2_IP|grep -i "not started" >/dev/null`
      if [ $? -eq  0 ];then
        LINK_STATUS="Not started"
      fi
      `cat /tmp/replication_temp|grep $DC2_IP|grep -i "up" >/dev/null`
      if [ $? -eq 0 ];then
        LINK_STATUS="Up"
      fi
fi




echo "dts/3parrc/REPLICATION_STATUS=$REPLICATION_STATUS"
echo "dts/3parrc/REPLICATION_DIRECTION=$ROLE"
echo "dts/3parrc/LINK_STATUS=$LINK_STATUS"

