#!/bin/sh
#*******************************************************************************
# Copyright (c) 2016  Hewlett-Packard Enterprise Development LP. 
# All rights reserved.
#*******************************************************************************

if [ ! -f /usr/bin/hpe-atx ];then
    echo "atx:Not-Installed";
else
    # ATX is installed, now check for valid license
    # ATX license command "/usr/bin/hpe-atx -s" returns:
    #             0 - for valid license
    #             1 - for invalid/expired license

    /usr/bin/hpe-atx -s  > /dev/null 2>&1
    if [ $? == 0 ];then
        echo "atx:Installed";
    else
        echo "atx:Not-Installed";
    fi
fi

