#!/bin/sh
#*******************************************************************************
# Copyright (c) 2014  Hewlett-Packard Development Company, L.P. 
# All rights reserved.
#*******************************************************************************

if [ -f /proc/net/bonding/$1 ];then

        ACTIVE_SLAVE=`/bin/cat /proc/net/bonding/$1 | grep "Currently Active Slave" | awk '{print $4}'`
        SLAVE_INTERFACES=`/bin/cat /proc/net/bonding/$1 | grep "Slave Interface"| awk '{print $3}'`

        for n in $SLAVE_INTERFACES
        do
                echo "network_interface:$1|slave_interface:$n|name=$n"
        done
        echo "network_interface:$1|currently_active:$ACTIVE_SLAVE|name=$ACTIVE_SLAVE"

        exit 0
fi
exit 1